/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/sgx/core/sgxlib/random.hpp

*/

#ifndef SGX_CORE_SGXLIB_RANDOM_HPP
#define SGX_CORE_SGXLIB_RANDOM_HPP	1

void	sgxSetRandSeed(tUINT32 nz, tUINT32 nw, tUINT32 njsr, tUINT32 njcong);

tREAL32 sgxRand();
tUINT32 sgxRand(int n);
tUINT32 sgxRand(const int from, const int to);
void	sgxRandList(tINT32 *pList, const tINT32 listSize, const tINT32 from, const tINT32 to);

#endif /* SGX_CORE_SGXLIB_RANDOM_HPP */
